

function love.load()

	initialgravityX = 9.81 * 64
	initialgravityY = 9.81 * 64

	gravityX = initialgravityX
	gravityY = initialgravityY

	BallX = 300
	BallY = 350

	PlanetX = 400
	PlanetY = 450

	love.physics.setMeter(64)
	world = love.physics.newWorld(gravityX, gravityY, true)

	objects = {}

	objects.planet = {}
	objects.planet.body = love.physics.newBody(world, PlanetX, PlanetY)
	objects.planet.shape = love.physics.newCircleShape(50)
	objects.planet.fixture = love.physics.newFixture(objects.planet.body, objects.planet.shape) --attach shape to body

	objects.ball = {}
	objects.ball.body = love.physics.newBody(world, BallX, BallY, "dynamic")
	objects.ball.shape = love.physics.newCircleShape(20)
	objects.ball.fixture = love.physics.newFixture(objects.ball.body, objects.ball.shape, 1) -- Attach fixture to body and give it a density of 1.
	objects.ball.fixture:setRestitution(0.3)
	
	love.physics.newRopeJoint(objects.planet.body, objects.ball.body, 400, 450, 300, 350, 300, true)

	
	love.graphics.setBackgroundColor(104, 136, 248)
	love.window.setMode(800, 800)

end


function love.update(dt)
	world:update(dt)

	
	initialgravityX = 9.81 * 64
	initialgravityY = 9.81 * 64

	gravityX = initialgravityX
	gravityY = initialgravityY

	BallX = 300
	BallY = 350

	PlanetX = 400
	PlanetY = 450
	
	if love.keyboard.isDown("right") then
		objects.ball.body:applyForce(400, 0)
	end
	if love.keyboard.isDown("left") then
		objects.ball.body:applyForce(-400, 0)
	end
	if love.keyboard.isDown("down") then
		objects.ball.body:applyForce(0, 400)
	end
	if love.keyboard.isDown("space") then
		objects.ball.body:applyForce(0, -400)
	end
	if love.keyboard.isDown("z") then
		gravityX = initialgravityX * -1
	end
	if love.keyboard.isDown("x") then
		gravityY = initialgravityY * -1
	end
	if love.keyboard.isDown("up") then
		objects.ball.body:setPosition(300, 350)
		objects.ball.body:setLinearVelocity(1, 1)
	end

	if objects.ball.body:getX() >= objects.planet.body:getX()
	then gravityX = initialgravityX * -1
	end
	
	if objects.ball.body:getY() > objects.planet.body:getY()
	then gravityY = initialgravityY * -1
	end
	
end

function love.draw()

	love.graphics.setColor(72, 160, 14)
	love.graphics.circle("fill", PlanetX, PlanetY, 50)

	love.graphics.setColor(193, 47, 14)
	love.graphics.circle("fill", objects.ball.body:getX(), objects.ball.body:getY(), objects.ball.shape:getRadius())

	love.graphics.setColor(255, 255, 255)
	love.graphics.print(objects.ball.body:getX(), 10, 10)
	love.graphics.print(objects.ball.body:getY(), 10, 30)
	love.graphics.print(objects.planet.body:getX(), 10, 50)
	love.graphics.print(objects.planet.body:getY(), 10, 70)
	
	love.graphics.print(objects.ball.body:getX() - objects.planet.body:getX(), 10, 90)
	love.graphics.print(objects.ball.body:getY() - objects.planet.body:getY(), 10, 110)
	
	love.graphics.print(gravityX, 10, 130)
	love.graphics.print(gravityY, 10, 150)
end
